[Bug 844] New: Debian requires small tweak to compile glibc

bugzilla at linuxfromscratch.org bugzilla at linuxfromscratch.org
Fri May 28 13:35:24 PDT 2004


http://bugs.linuxfromscratch.org/show_bug.cgi?id=844

           Summary: Debian requires small tweak to compile glibc
           Product: Linux From Scratch
           Version: 5.1
          Platform: PC
        OS/Version: Linux
            Status: UNCONFIRMED
          Severity: minor
          Priority: P5
         Component: Book
        AssignedTo: lfs-book at linuxfromscratch.org
        ReportedBy: carson at starflare.org
         QAContact: lfs-book at linuxfromscratch.org


Debian GNU/Linux 3.0 (woody), the current stable version, installs both autoconf 2.13 and 2.53; using 
Debian's packaging system, both must be installed to have one or the other (the included docs say this 
is for compatibility reasons).  However, the actual /usr/bin/autoconf is the binary for 2.13, which is 
insufficient to compile glibc; make quits shortly after it starts with a message of "Undefined macros."  
2.53 seems to work fine, however.  For the record, this is a i386 box, dunno if that makes a difference.

Perhaps a note could be added to the section on glibc to this effect?



------- You are receiving this mail because: -------
You are the assignee for the bug, or are watching the assignee.
You are the QA contact for the bug, or are watching the QA contact.



More information about the lfs-book mailing list